# $Revision: 1.198.2.6 $, $Date: 2008/10/14 18:26:53 $
#
# TODO: bug gas/584
#
# Conditional build:
%bcond_with	allarchs	# enable all targets
# define addtargets x,y,z	# build with additional targets x,y,z (e.g. x86_64-linux)
#
Summary:	GNU Binary Utility Development Utilities
Summary(de.UTF-8):	GNU Binary Utility Development Utilities
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU
Summary(pl.UTF-8):	Narzędzia GNU dla programistów
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU
Summary(ru.UTF-8):	Набор инструментов GNU для построения исполняемых программ
Summary(tr.UTF-8):	GNU geliştirme araçları
Summary(uk.UTF-8):	Набір інструментів GNU для побудови виконуваних програм
Name:		binutils
Version:	2.15.94.0.2.2
Release:	4
Epoch:		3
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/%{name}-%{version}.tar.bz2
# Source0-md5:	e9bcf84d9e6b5a2d840e76f22a3fce5f
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	a717d9707ec77d82acb6ec9078c472d6
Patch0:		%{name}-gasp.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-array-sects-compat.patch
Patch3:		%{name}-libtool-relink.patch
Patch4:		%{name}-pt_pax_flags.patch
Patch5:		%{name}-mips-relocs.patch
Patch6:		%{name}-arhdr.patch
Patch7:		%{name}-ld-speedup.patch
Patch8:		%{name}-readelf-overflows.patch
Patch9:		%{name}-robustify.patch
Patch10:	%{name}-robustify2.patch
Patch11:	%{name}-robustify3.patch
Patch12:	%{name}-robustify4.patch
Patch13:	%{name}-robustify5.patch
Patch14:	%{name}-robustify6.patch
Patch15:	%{name}-absolute-gnu_debuglink-path.patch
URL:		http://sources.redhat.com/binutils/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8.2
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	perl-tools-pod
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
BuildRequires:	texinfo >= 4.2
Requires(post,postun):	/sbin/ldconfig
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	gcc-c++ < 5:3.3
Conflicts:	modutils < 2.4.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch sparc64
%define		_libdir		/usr/lib
%endif

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

%description -l es.UTF-8
Binutils es una colección de utilitarios necesarios para compilar
programas. Incluye assembler y linker, así como varios otros programas
para trabajar con formatos que se puedan ejecutar.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

%description -l pt_BR.UTF-8
binutils é uma coletânea de utilitários necessários para compilar
programas. Inclui assembler e linker, assim como vários outros
programas para trabalhar com formatos executáveis.

%description -l ru.UTF-8
binutils - это набор инструментов, необходимых для компилляции
программ. Включает ассемблер, компоновщик и набор других программ для
работы с исполняемыми файлами разнообразных форматов.

%description -l uk.UTF-8
binutils - це набір інструментів, необхідних для компіляції програм.
Містить асемблер, компоновщик та інші програми, необхідні для роботи з
виконуваними файлами різних форматів.

%package libs
Summary:	GNU binutils shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone GNU binutils
Group:		Libraries
Conflicts:	binutils < 3:2.15.94.0.2.2-2.1

%description libs
GNU binutils shared libraries (libbfd, libopcodes).

%description libs -l pl.UTF-8
Biblioteki współdzielone GNU binutils (libbfd, libopcodes).

%package devel
Summary:	Development files for GNU binutils libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek GNU binutils
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
Development files for GNU binutils libraries (libbfd, libopcodes) and
static libiberty library.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek GNU binutils (libbfd, libopcodes) oraz
statyczna biblioteka libiberty.

%package static
Summary:	GNU binutils static libraries
Summary(pl.UTF-8):	Biblioteki statyczne do GNU binutils
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static GNU binutils libraries (libbfd, libopcodes).

%description static -l pl.UTF-8
Biblioteki statyczne GNU binutils (libbfd, libopcodes).

%package gasp
Summary:	GASP - old preprocessor for assembly programs
Summary(pl.UTF-8):	GASP - stary preprocesor dla programów w asemblerze
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description gasp
GASP - old preprocessor for assembly programs. It's officially
obsoleted, but it's still needed to build some packages.

%description gasp -l pl.UTF-8
GASP - stary preprocesor dla programów w asemblerze. Jest oficjalnie
uznany za przestarzały, ale jest nadal potrzebny do zbudowania
niektórych pakietów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%ifarch %{ix86}
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p1

%build
# non-standard regeneration (needed because of gasp patch)
cd gas
aclocal
automake --cygnus Makefile
automake --cygnus doc/Makefile
autoconf
cd ..

# More targets
TARGETS=
%ifarch ia64
TARGETS=i686-linux
%endif
# uhm?
%ifarch %{ix86}
TARGETS=x86_64-linux
%endif
%ifarch sparc
TARGETS=sparc64-linux
%endif
%{?addtargets:TARGETS="%{addtargets}"}

cp -f /usr/share/automake/config.* .
CFLAGS="%{rpmcflags}"; export CFLAGS
CC="%{__cc}"; export CC
%ifarch sparc
sparc32 \
%endif
./configure %{_target_platform} \
	--enable-shared \
	--disable-debug \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	%{!?with_allarchs:`[ -n "${TARGETS}" ] && echo "--enable-targets=${TARGETS}"`} \
%ifarch sparc
	--enable-64-bit-bfd \
%else
	%{?with_allarchs:--enable-64-bit-bfd} \
%endif
	%{?with_allarchs:--enable-targets=alpha-linux,arm-linux,cris-linux,hppa-linux,i386-linux,ia64-linux,x86_64-linux,m68k-linux,mips-linux,mips64-linux,mips64el-linux,mipsel-linux,ppc-linux,s390-linux,s390x-linux,sh-linux,sparc-linux,sparc64-linux,i386-linuxaout}

%{__make} configure-bfd
%{__make} headers -C bfd
%{__make} all info \
	tooldir=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-info \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	tooldir=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

rm -f $RPM_BUILD_ROOT%{_infodir}/standards.info*

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{dlltool,nlmconv,windres}.1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

install include/libiberty.h $RPM_BUILD_ROOT%{_includedir}
install libiberty/pic/libiberty.a $RPM_BUILD_ROOT%{_libdir}

# remove evil -L pointing inside builder's home
perl -pi -e 's@-L[^ ]*/pic @@g' $RPM_BUILD_ROOT%{_libdir}/libbfd.la

%find_lang bfd
%find_lang binutils
%find_lang gas
%find_lang gprof
%find_lang ld
%find_lang opcodes
cat bfd.lang opcodes.lang > %{name}-libs.lang
cat gas.lang gprof.lang ld.lang >> %{name}.lang

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/[!g]*
%attr(755,root,root) %{_bindir}/g[!a]*

%{_prefix}/lib/ldscripts
%{_infodir}/as.info*
%{_infodir}/binutils.info*
%{_infodir}/configure.info*
%{_infodir}/gprof.info*
%{_infodir}/ld.info*
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files libs -f %{name}-libs.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbfd-*.so
%attr(755,root,root) %{_libdir}/libopcodes-*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbfd.so
%attr(755,root,root) %{_libdir}/libopcodes.so
%{_libdir}/libbfd.la
%{_libdir}/libopcodes.la
%{_libdir}/libiberty.a
%{_includedir}/*.h
%{_infodir}/bfd.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libbfd.a
%{_libdir}/libopcodes.a

%files gasp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gasp
%{_infodir}/gasp.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: binutils.spec,v $
Revision 1.198.2.6  2008/10/14 18:26:53  glen
- convert to utf8

Revision 1.198.2.5  2008/10/14 18:26:36  glen
- merge -absolute-gnu_debuglink-path.patch from HEAD; rel 4

Revision 1.198.2.4  2007/05/24 06:43:53  glen
- -libs, -devel split (merged from HEAD); rel 3

Revision 1.198.2.3  2005/07/26 09:26:21  arekm
- rel 2

Revision 1.198.2.2  2005/07/26 09:20:02  arekm
- CAN-2005-1704, CAN-2005-1704 and one speedup.

Revision 1.198.2.1  2005/07/26 06:38:54  arekm
- back to series 2.15

Revision 1.198  2005/02/19 23:18:26  qboosh
- "cosmetics" breakage reverted, NOP removed

Revision 1.197  2005/02/19 22:25:05  paszczus
- another way

Revision 1.196  2005/02/19 22:19:21  paszczus
- quick fix (testing)

Revision 1.195  2005/02/19 21:58:20  paszczus
- cosmetics (by sebastian at oclab.ano.pl)

Revision 1.194  2005/02/18 09:33:19  qboosh
- updated to 2.15.94.0.2.2

Revision 1.193  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.192  2004/12/21 23:16:08  pluto
- updated to 2.15.94.0.2.

Revision 1.191  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.190  2004/11/28 00:58:04  qboosh
- TODO: bug gas/584 (breaks libunwind on amd64)

Revision 1.189  2004/11/23 23:30:45  qboosh
- updated mips-relocs patch

Revision 1.188  2004/11/23 12:21:31  arekm
- updated to 2.15.94.0.1

Revision 1.187  2004/10/16 13:59:42  mmazur
- rel 3 for th

Revision 1.186  2004/10/16 11:33:40  pluto
- ld core dumps on bad flags from gcc fixed (PR453/437).
- release 2.

Revision 1.185  2004/10/16 08:22:27  pluto
- TODO += PR453.

Revision 1.184  2004/10/02 12:16:15  pluto
- updated to 2.15.92.0.2.
- release 1.

Revision 1.183  2004/10/01 04:55:43  pluto
- PR414 fixed.
- release 3.

Revision 1.182  2004/09/29 17:13:56  pluto
- BUGS updated (PR189 depends on PR414). Thx to H.J.Lu for info.

Revision 1.181  2004/09/23 21:24:20  pluto
- += BUGS.

Revision 1.180  2004/08/18 22:06:42  pluto
- oops, %%patchX added.

Revision 1.179  2004/08/18 22:02:17  pluto
- added pr338 patch.

Revision 1.178  2004/08/05 18:46:00  qboosh
- added pr290 patch, release 2

Revision 1.177  2004/07/28 20:03:06  qboosh
- mips-relocs patch is back (updated)

Revision 1.176  2004/07/28 18:56:55  qboosh
- updated to 2.15.91.0.2, removed obsolete eh-frame-ro and elf-sort patches
- dropped ia64-bootstrap patch (not used since long time, not needed)
- mips-relocs patch partially merged - needs check if the rest is needed

Revision 1.175  2004/07/19 13:34:14  qboosh
- added elf-sort patch, release 2

Revision 1.174  2004/07/19 11:02:47  qboosh
- mips-relocs patch needs -p0, fixed

Revision 1.173  2004/07/19 11:01:01  qboosh
- added mips-relocs patch

Revision 1.172  2004/05/30 01:02:08  qboosh
- updated to 2.15.91.0.1, updated pt_pax_flags patch, removed obsolete gas patches

Revision 1.171  2004/05/25 07:00:11  pluto
- [sparch64] opcodes fixed.
  (gas complains "There are only 32 single precision f registers; [0-31]"
   when compiling eg. glibc-2.3.2/math/dosincos.c
   more info: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=15247)
- release 3.

Revision 1.170  2004/05/17 15:46:47  qboosh
- added gas-fix patch (glibc build was broken); release 2

Revision 1.169  2004/04/17 18:43:21  qboosh
- updated to 2.15.90.0.3

Revision 1.168  2004/03/17 11:30:40  pluto
- PaX support added.

Revision 1.167  2004/03/07 16:16:13  qboosh
- updated to 2.15.90.0.1.1 bugfix release, updated gasp and info patches
- as.1 is no longer missing, but regeneration stays for gasp changes

Revision 1.166  2004/03/05 23:32:28  qboosh
- added temporary workaround for missing as(1) manual

Revision 1.165  2004/03/04 00:39:56  arekm
- updated to 2.15.90.0.1

Revision 1.164  2004/01/15 10:39:24  qboosh
- md5

Revision 1.163  2004/01/15 10:38:44  qboosh
- updated to 2.14.90.0.8, updated gasp patch, removed obsolete gas-alpha-segv patch
- new-style bcond, added addtargets macro to add only selected targets

Revision 1.162  2003/11/24 00:00:53  qboosh
- added gas-alpha-segv patch; release 3

Revision 1.161  2003/11/17 21:40:01  arekm
- use PIC version of libiberty.a

Revision 1.160  2003/11/17 16:48:22  arekm
- pass libdir to configure and fix ldscripts location

Revision 1.159  2003/11/17 16:35:50  arekm
- enable some targets only if TARGETS variable is not empty

Revision 1.158  2003/11/16 19:59:41  arekm
- enable more targets in some specific cases; rel 2

Revision 1.157  2003/11/04 08:46:14  qboosh
- cleanup

Revision 1.156  2003/11/04 00:21:43  qboosh
- up to 2.14.90.0.7, updated gasp and info patches
- removed obsolete sparc-cfi patch

Revision 1.155  2003/10/05 16:39:23  adasi
 - added x86_64-linux target for 'allarchs'

Revision 1.154  2003/09/25 05:54:38  misi3k
- cosmetics

Revision 1.153  2003/09/25 05:51:15  misi3k
- enable-64-bit-bfd on sparc

Revision 1.152  2003/09/07 19:35:01  djurban
- enable cfi on ppc and sparc. HOW THE FUCK DO YOU ENABLE THEM ON X86?????
- rel. 2

Revision 1.151  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.150  2003/08/26 11:54:57  misi3k
- updated to 2.14.90.0.6
- rel 1
- sparc64 fixes

Revision 1.149  2003/08/06 16:35:08  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.148  2003/07/31 22:19:04  qboosh
- 2.14.90.0.5

Revision 1.147  2003/07/17 13:39:56  qboosh
- fixed gasp patch for current binutils (^A-in-macros issue)
- release 2

Revision 1.146  2003/06/25 12:50:28  trojan
- updated to 2.14.90.0.4.1

Revision 1.145  2003/06/23 21:44:22  qboosh
- added epoch to gcc Conflicts

Revision 1.144  2003/06/23 17:15:10  jareq
- fixed epoch:version issue

Revision 1.143  2003/06/02 15:18:32  ankry
- added/changed non-english-man-pages URL

Revision 1.142  2003/06/01 10:51:53  qboosh
- added libtool-relink patch to correctly link libopcodes with libbfd

Revision 1.141  2003/05/26 10:59:00  trojan
- updated to 2.14.90.0.4

Revision 1.140  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.139  2003/05/25 05:45:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.138  2003/05/19 09:42:15  trojan
- updated to 2.14.90.0.2

Revision 1.137  2003/05/17 06:29:34  qboosh
- c++filt is back (with es manual in non-english*)
- Conflicts: gcc-c++ < 3.3 (because of c++filt)
- release 2

Revision 1.136  2003/05/12 20:32:09  qboosh
- BR: texinfo >= 4.2

Revision 1.135  2003/05/06 08:15:55  trojan
- updated to 2.14.90.0.1

Revision 1.134  2003/04/20 22:31:51  qboosh
- remove evil -L from libbfd.la
- BR: perl-tools-pod, whole perl-devel is not necessary
- release 3

Revision 1.133  2003/04/12 08:06:49  kloczek
- release 2,
- removed sparc-nonpic (it cause fail building binutils on sparc and seems it
  is not neccessary now) and ia64-brl patches.

Revision 1.132  2003/03/22 18:58:06  misiek
- updated to 2.13.90.0.20

Revision 1.131  2003/02/02 15:57:56  qboosh
- 2.13.90.0.18
- oh no, they removed gasp! replaced build-gasp patch with full gasp patch,
  moved gasp to subpackage to not provide it by default
- removed obsolete rodata-cst,ppc-apuinfo,stt_tls,tls-strip,ia64-tls,
  alpha-plt,ia64-tls2 patches
- disabled eh-frame-ro,ia64-bootstrap patches - need update

Revision 1.130  2003/01/30 17:41:09  qboosh
- added build-gasp patch - deprecated gasp is still needed for some packages
- release 2

Revision 1.129  2003/01/26 20:58:26  kloczek
- added handle %%{_with_allarchs} bcond,
- merge all current RH patches.

Revision 1.128  2002/12/11 14:18:31  qboosh
- BR: gettext-devel (msgfmt)

Revision 1.127  2002/11/28 11:40:47  misiek
- updated to -2.13.90.0.16

Revision 1.126  2002/11/18 10:58:10  qboosh
- 2.13.90.0.14 (fixed some alpha/ELF bugs)
  NOTE: on alpha binutils>2.11(?) require glibc rebuild, and 2.2.5 doesn't build -
  so... glibc 2.3 only

Revision 1.125  2002/11/01 20:05:31  qboosh
- 2.13.90.0.10

Revision 1.124  2002/10/30 17:27:38  mmazur
- from DEVEL

Revision 1.120.2.17  2002/09/06 19:04:03  misiek
- confclits with modutils < 2.4.17

Revision 1.120.2.16  2002/08/17 20:35:48  misiek
- updated to 2.13.90.0.4

Revision 1.120.2.15  2002/08/12 16:45:37  wiget
- updated to 2.13.90.0.3

Revision 1.120.2.14  2002/08/03 16:17:57  misiek
- updated to 2.13.90.0.2

Revision 1.120.2.13  2002/07/23 16:07:45  wiget
- updated to 2.12.90.0.15

Revision 1.120.2.12  2002/07/02 12:28:40  wiget
updated to 2.12.90.0.14

Revision 1.120.2.11  2002/06/20 22:54:07  misiek
- updated to 2.12.90.0.12

Revision 1.120.2.10  2002/06/11 10:13:43  wiget
2.12.90.0.11

Revision 1.120.2.9  2002/05/30 19:47:13  misiek
- updated to 2.12.90.0.9

Revision 1.120.2.8  2002/05/27 20:16:52  filon
- added message catalogs for binutils
- added *.la files
- new rpm found it :-)
- release 2

Revision 1.120.2.7  2002/05/21 20:37:56  qboosh
- one more fix in info patch (as+gas)
- new %%doc

Revision 1.120.2.6  2002/05/13 14:19:11  misiek
- updated to 2.12.90.0.7

Revision 1.120.2.5  2002/05/01 00:06:50  qboosh
- libiberty.a moved from -static to base (there is no shared version)
- release 2

Revision 1.120.2.4  2002/04/10 21:18:47  misiek
- updated to 2.12.90.0.4

Revision 1.120.2.3  2002/03/25 08:59:34  misiek
- updated to 2.12.90.0.3 (dosemu problem should be fixed now)

Revision 1.120.2.2  2002/03/11 22:03:31  misiek
- proper CC

Revision 1.120.2.1  2002/03/11 21:53:19  misiek
- updated to 2.12.90.0.1

Revision 1.120  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.119  2002/02/06 09:25:19  misiek
- fix -o in strip; release 4

Revision 1.118  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.117  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.116  2001/12/29 17:09:32  malekith
- rel 3
- added preserve_e_flags patch from maintainer
  NEEDS TESTING (but it's bugfix)

Revision 1.115  2001/12/16 03:54:01  blues
- downgraded to 2.11.90.0.19
- release 2, epoch 2
- kept new man-pages and translations.
NOTE: new versions cat /dev/branch

Revision 1.114  2001/12/11 00:38:56  blues
- 2.11.92.0.12.3 (some bugfixes - they have crazy versions)

Revision 1.113  2001/10/23 08:03:30  misiek
- updated to 2.11.92.0.10

Revision 1.112  2001/10/17 08:54:12  misiek
- updated to 2.11.92.0.7

Revision 1.111  2001/10/16 23:35:52  ankry
- fixed man-pages unpacking

Revision 1.110  2001/10/16 09:44:51  ankry
- make .tar.bz2 standard non-english-man-pages format

Revision 1.109  2001/10/09 19:21:30  misiek
- updated to 2.11.92.0.5

Revision 1.108  2001/10/06 06:55:30  kloczek
- merged translations stolen from CNV,
- spec adapterized.

Revision 1.107  2001/10/04 10:09:01  misiek
- updated to 2.11.90.0.31

Revision 1.106  2001/10/04 08:49:53  ankry
- removed c++filt from description

Revision 1.105  2001/09/18 15:51:41  ankry
- added non-english (cs, de, fi, fr, hu, ja, pl) man pages
- removed c++filt.1 man page (moved to gcc.spec: gcc-c++)
- increased release to 1

Revision 1.104  2001/08/18 02:51:30  agaran
Version:        2.11.90.0.27
Release:        0
commented bfdbug patch (according to binutils changelog, and patch rejects its fixed)

Revision 1.103  2001/08/09 15:54:02  wiget
fix bug in ld (bdfbug.patch)
release 2

Revision 1.102  2001/07/31 12:46:38  malekith
- buildreq perl -> perl-devel (pod2man)

Revision 1.101  2001/07/30 16:43:53  wiget
2.11.90.0.25 - this version fixes gas bug triggered by etherboot; kloczek check strip from this binutils too

Revision 1.100  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.98  2001/07/20 12:55:52  wiget
sparc patch included in main source

Revision 1.97  2001/07/20 12:49:36  wiget
2.11.90.0.24

Revision 1.96  2001/06/29 19:21:11  kloczek
- release 2,
- added sparc_unaligned_reloc patch by Jakub Jelinek <jakub@redhat.com> with
  fix incorrect aligment generated code on sparc32.

Revision 1.95  2001/06/22 12:47:45  misiek
- updated to 2.11.90.0.19

Revision 1.94  2001/06/13 22:27:13  misiek
- updated to 2.11.90.0.15

Revision 1.93  2001/05/22 14:14:45  wiget
don't provide outdated standards.info (new version come from autoconf
2.50)

Revision 1.92  2001/05/13 09:51:08  misiek
- removed obsolete linker patch
- updated to 2.11.90.0.8

Revision 1.91  2001/05/10 10:48:33  misiek
- detect loop in symbols list (patch)
- release 2

Revision 1.90  2001/05/01 21:27:30  misiek
- updated to 2.11.90.0.7

Revision 1.89  2001/04/27 16:09:11  misiek
2.11.90.0.6

Revision 1.88  2001/04/17 16:22:35  areq
- 2.11.90.0.5, STBR

Revision 1.87  2001/02/27 13:53:52  misiek
2.10.91.0.4; stb

Revision 1.86  2001/02/18 19:28:45  mis
- updated (by autoup) to 2.10.91.0.2

Revision 1.85  2001/02/10 09:19:26  kloczek
- updated to 2.10.1.0.7.

Revision 1.84  2001/01/29 13:18:27  kloczek
- small sparc dependent fix in %build.

Revision 1.83  2001/01/29 11:06:32  kloczek
- release 2,
- %ifarch sparc then add --enable-targets=sparc64-pld-linux to configure
  parameters.

Revision 1.82  2001/01/25 20:03:21  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.81  2001/01/05 16:14:41  kloczek
- updated to 2.10.1.0.4.

Revision 1.80  2000/12/14 16:42:45  baggins
- release 2
- use RPM_OPT_FLAGS

Revision 1.79  2000/11/14 22:06:46  misiek
switch back to H.J. Lu version

Revision 1.77  2000/11/09 12:25:32  kloczek
 -added URL.

Revision 1.76  2000/10/31 22:07:33  kloczek
- updated to 2.10.0.33.

Revision 1.75  2000/10/18 18:14:33  kloczek
- updated to 2.10.0.31.

Revision 1.74  2000/10/10 14:08:22  kloczek
- adapterized and added using new rpm automation suit.

Revision 1.73  2000/10/10 13:07:32  wiget
2.10.0.29

Revision 1.72  2000/08/31 00:59:09  kloczek
- added sparc32 to BuildRequires on sparc, sparc64.

Revision 1.71  2000/08/29 14:12:46  baggins
- updated to 2.10.0.24

Revision 1.70  2000/08/13 23:53:28  baggins
- back to 2.10.0.18, should work now as glibc seems to be fixed

Revision 1.69  2000/08/09 22:36:28  kloczek
- back to 2.10.0.12 (Epoch: 1) because 2.10.0.18 breaks compile glibc
  2.1.3 (compilation fains on i386 with memory fault).

Revision 1.68  2000/07/25 16:14:55  wiget
2.10.0.18

Revision 1.67  2000/07/16 23:33:25  kloczek
- updated to 2.10.0.12.

Revision 1.66  2000/06/28 07:28:27  wiget
2.10.0.9

Revision 1.65  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.64  2000/06/05 12:10:23  wiget
2.9.5.0.46

Revision 1.63  2000/05/30 18:00:09  wiget
2.9.5.0.41

Revision 1.62  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.61  2000/05/04 15:04:35  wiget
updated to binutils 2.9.5.0.37

Revision 1.60  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.59  2000/04/18 19:35:34  kloczek
- release 3.

Revision 1.58  2000/04/18 09:24:09  qboosh
- added flex and bison to BuildRequires

Revision 1.57  2000/04/14 15:58:55  kloczek
- release 2,
- use corectly $RPM_OPT_FLAGS on compiling binutils.

Revision 1.56  2000/04/13 21:30:35  kloczek
- updated to 2.9.5.0.35,
- spec adapterized.

Revision 1.55  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.54  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.53  2000/03/12 03:03:40  kloczek
- de, fr, tr Summary.

Revision 1.52  2000/03/09 21:07:41  kloczek
- new en %description.

Revision 1.51  2000/03/07 19:25:08  baggins
- updated to 2.9.5.0.29

Revision 1.50  1999/12/04 20:41:03  kloczek
- updated to 2.9.5.0.22.

Revision 1.49  1999/11/30 19:48:35  wiget
- 2.9.5.0.21

Revision 1.48  1999/11/10 10:19:54  wiget
- updated

Revision 1.47  1999/10/29 15:56:51  kloczek
- updated to 2.9.5.0.16,
- added /sbin/ldconfig to Prereq and fixed %postun,
- back to using ./configure instead %%configure (this need much more work).

Revision 1.46  1999/09/26 19:49:08  kloczek
- added using %%configure macro.

Revision 1.45  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.44  1999/09/17 15:06:36  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.43  1999/09/14 22:10:51  wiget
- updated to 2.9.5.0.12

Revision 1.42  1999/09/09 20:28:03  wiget
- upgrade to 2.9.5.0.11

Revision 1.41  1999/08/23 19:27:34  wiget
- updated to 2.9.5.0.8 (test release)
- disabled info.patch (need update)

Revision 1.40  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

